# Book settings
# Learn more at https://jupyterbook.org/customize/config.html

title: Quantum simulations
author: Heiko Appel, Henning Glawe, Hans Fangohr, Nicolas Tancogne-Dejean, Martin Lueders
logo: qsim-logo.png

# Force re-execution of notebooks on each build.
# See https://jupyterbook.org/content/execute.html
execute:
  execute_notebooks: force
  timeout: 200

# Define the name of the latex output file for PDF builds
latex:
  latex_documents:
    targetname: qsim-book.tex

# Add a bibtex file so that we can create citations
bibtex_bibfiles:
  - qsim-references.bib

# Information about where the book exists on the web
repository:
  url: https://gitlab.com/heiko.appel/qsim  # Online location of your book
  path_to_book: qsim-book  # Optional path to your book, relative to the repository root
  branch: master  # Which branch of the repository should be used when creating links (optional)

# Add GitHub buttons to your book
# See https://jupyterbook.org/customize/config.html#add-a-link-to-your-repository
html:
  use_issues_button: true
  use_repository_button: true

parse:
  myst_enable_extensions:
    # don't forget to list any other extensions you want enabled,
    # including those that are enabled by default!
    - amsmath
    - dollarmath
